你的位置:首页 > 操作系统

[操作系统]使用ListView 时,遇到了 Your content must have a ListView whose id attribute is android.R.id.list 错误


今天在开发Android小应用的时候,使用到了ListView,在使用自己创建的listview风格的时候,就出现了如标题的错误提示信息,这个就让我纳闷了,以前也不会出现这个问题啊,而且也可以运行,赶紧查资料找原因,原来是我的主Activity继承了ListActivity,而ListActivity中必须有一个ListView,因为ListActivity启动时会默认去寻找这个ListView的id,如果没有找到,就会报错。

解决的方法很简单,就是在主Activity布局文件中加个ListView,且ID为list

代码如下:

 <ListView     android:id="@id/android:list"     android:layout_width="fill_parent"     android:layout_height="wrap_content"> </ListView>